-- d:\ft 4.0\VnU\garrysmod\gamemodes\militaryrp\plugins\killzone\sh_plugin.lua

local PLUGIN = PLUGIN

PLUGIN.name = "Killzone Camper Punishment"
PLUGIN.author = "Scripty"
PLUGIN.description = "Punishes campers in specific zones with a barrage of bombs after 5 minutes."

-- Определение киллзон
PLUGIN.zones = {
	{
		min = Vector(6520, -538, -5000), -- Опустил ниже на всякий случай
		max = Vector(8129, 14097, 10000), -- Поднял до неба
		name = "Killzone 1"
	},
	{
		min = Vector(8129, -538, -5000),
		max = Vector(15312, 2213, 10000),
		name = "Killzone 2"
	}
}

ix.config.Add("killzonePunishDelay", 300, "Время стоянки в киллзоне до начала наказания (секунды).", nil, {
	data = {min = 1, max = 3600},
	category = "Killzone"
})

ix.util.Include("sv_plugin.lua")
